For the complete documentation index, see llms.txt. This page is also available as Markdown.

Special Case Type

Filter cases by special case type

Filter by special case type (constitutional_clause_id).

GET https://clearinghouse.net/api/v2/case?special_case_type=special_case_type_id

Query Parameters

Name
Type
Description

special_case_type*

integer

Special case type ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported constitutional clause IDs (special_case_type_id):

5596
Non-court arbitration/mediation

5597

Warrant or subpoena application

5593

Appellate Court is initial court

5591

Criminal

5592

Habeas

5374

Tribal Court

5594

Multi-District Litigation (MDL)

5595

Out-of-court

For more information about these special case types, see Special Case Type.

Example

Last updated